Name:           nde-screensaver  
Version:        0.1.0
Release:        7%{?dist}
License:        GPLv2+
Summary:        QML based X11 screen saver and screen lock
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake >= 2.8.8
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kidletime-devel
BuildRequires:  libxcb-devel
BuildRequires:  nde-lib-devel
BuildRequires:  pam-devel
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(systemd)

BuildRequires:  qt5-qtbase-devel >= 5.6
BuildRequires:  qt5-qtdeclarative-devel >= 5.6
BuildRequires:  qt5-qttools-devel >= 5.6
BuildRequires: kf5-kwindowsystem-devel >= 5.5.0
BuildRequires: pkgconfig(nde-globalkeys)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires:  shadow-utils
BuildRequires:  systemd


%if 0%{?fedora}
BuildRequires: nde-backgrounds
Requires: system-logos
%endif
Requires: systemd
Requires: xorg-x11-xinit
Requires: libstatgrab
%ifnarch s390 s390x
Requires: xorg-x11-server-Xorg
Requires: kf5-kidletime
Requires: nde-lib

Suggests: qt5-qtvirtualkeyboard%{?_isa}
%endif
%{?systemd_requires}

Requires(pre): shadow-utils
Obsoletes: xscreensaver-base
Obsoletes: xscreensaver
Obsoletes: xscreensaver-gl-base
Obsoletes: xscreensaver-gl-extras
Obsoletes: xscreensaver-extras

Provides: xscreensaver
Provides: xscreensaver-base
Provides: xscreensaver-gl-base
Provides: xscreensaver-gl-extras
Provides: xscreensaver-extras

%description
newstart desktop environment screen saver and lock


%prep
%setup -q

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake} .. \
  -DBUILD_MAN_PAGES:BOOL=ON \
  -DCMAKE_BUILD_TYPE:STRING="Release" \
  -DENABLE_JOURNALD:BOOL=ON \
  -DSESSION_COMMAND:PATH=/etc/X11/xinit/Xsession
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%files
%{_datadir}/nde-screensaver/*
%{_sysconfdir}/xdg/autostart/nde-screensaver.desktop
%{_sysconfdir}/pam.d/nde-screensaver
%{_libexecdir}/nde-screensaver-greeter
%{_libexecdir}/nde-screensaver-helper
%{_bindir}/nde-screensaver

%changelog
* Fri Dec 16 2022 NewStart <os@gd-linux.com> - 
- First release..

